Reactor Dependency Convergence

Legend:
error At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of modules: 6
Number of dependencies (NOD): 38
Number of unique artifacts (NOA): 47
Number of version-conflicting artifacts (NOC): 5
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA): error 80 %
Ready for release (100 % convergence and no SNAPSHOTS): error Error
You do not have 100 % convergence.

Dependencies used in modules

commons-logging:commons-logging

error
1.0.3
  1. org.openflexo:packaging-tools:jar:0.5-SNAPSHOT
    \- com.akathist.maven.plugins.launch4j:launch4j-maven-plugin:jar:1.7.23:compile
       \- net.sf.launch4j:launch4j:jar:core:3.12:compile
          \- commons-beanutils:commons-beanutils:jar:1.7.0:compile
             \- (commons-logging:commons-logging:jar:1.0.3:compile - omitted for conflict with 1.2)

1.2
  1. org.openflexo:packaging-tools:jar:0.5-SNAPSHOT
    \- com.akathist.maven.plugins.launch4j:launch4j-maven-plugin:jar:1.7.23:compile
       \- net.sf.launch4j:launch4j:jar:core:3.12:compile
          \- commons-logging:commons-logging:jar:1.2:compile

org.apache.maven:maven-artifact

error
2.2.1
  1. org.openflexo:packaging-tools:jar:0.5-SNAPSHOT
    \- com.akathist.maven.plugins.launch4j:launch4j-maven-plugin:jar:1.7.23:compile
       +- org.apache.maven:maven-artifact:jar:2.2.1:compile
       +- org.apache.maven:maven-project:jar:2.2.1:compile
       |  +- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
       |  |  \- (org.apache.maven:maven-artifact:jar:2.2.1:compile - omitted for duplicate)
       |  \- (org.apache.maven:maven-artifact:jar:2.2.1:compile - omitted for duplicate)
       \- org.apache.maven:maven-plugin-descriptor:jar:2.2.1:compile
          \- (org.apache.maven:maven-artifact:jar:2.2.1:compile - omitted for duplicate)

3.2.5
  1. org.openflexo:packaging-tools:jar:0.5-SNAPSHOT
    \- com.akathist.maven.plugins.launch4j:launch4j-maven-plugin:jar:1.7.23:compile
       \- org.apache.maven:maven-plugin-api:jar:3.2.5:compile
          \- (org.apache.maven:maven-artifact:jar:3.2.5:compile - omitted for conflict with 2.2.1)

org.apache.maven:maven-model

error
2.2.1
  1. org.openflexo:packaging-tools:jar:0.5-SNAPSHOT
    \- com.akathist.maven.plugins.launch4j:launch4j-maven-plugin:jar:1.7.23:compile
       \- org.apache.maven:maven-project:jar:2.2.1:compile
          +- org.apache.maven:maven-settings:jar:2.2.1:compile
          |  \- (org.apache.maven:maven-model:jar:2.2.1:compile - omitted for conflict with 3.2.5)
          +- org.apache.maven:maven-profile:jar:2.2.1:compile
          |  \- (org.apache.maven:maven-model:jar:2.2.1:compile - omitted for conflict with 3.2.5)
          \- (org.apache.maven:maven-model:jar:2.2.1:compile - omitted for conflict with 3.2.5)

3.2.5
  1. org.openflexo:packaging-tools:jar:0.5-SNAPSHOT
    \- com.akathist.maven.plugins.launch4j:launch4j-maven-plugin:jar:1.7.23:compile
       \- org.apache.maven:maven-plugin-api:jar:3.2.5:compile
          \- org.apache.maven:maven-model:jar:3.2.5:compile

org.apache.maven:maven-plugin-api

error
2.2.1
  1. org.openflexo:packaging-tools:jar:0.5-SNAPSHOT
    \- com.akathist.maven.plugins.launch4j:launch4j-maven-plugin:jar:1.7.23:compile
       \- org.apache.maven:maven-plugin-descriptor:jar:2.2.1:compile
          \- (org.apache.maven:maven-plugin-api:jar:2.2.1:compile - omitted for conflict with 3.2.5)

3.2.5
  1. org.openflexo:packaging-tools:jar:0.5-SNAPSHOT
    \- com.akathist.maven.plugins.launch4j:launch4j-maven-plugin:jar:1.7.23:compile
       \- org.apache.maven:maven-plugin-api:jar:3.2.5:compile

org.codehaus.plexus:plexus-utils

error
1.0.4
  1. org.openflexo:packaging-tools:jar:0.5-SNAPSHOT
    \- com.akathist.maven.plugins.launch4j:launch4j-maven-plugin:jar:1.7.23:compile
       \- org.apache.maven:maven-project:jar:2.2.1:compile
          \- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile
             \- (org.codehaus.plexus:plexus-utils:jar:1.0.4:compile - omitted for conflict with 1.5.15)

1.4.2
  1. org.openflexo:packaging-tools:jar:0.5-SNAPSHOT
    \- com.akathist.maven.plugins.launch4j:launch4j-maven-plugin:jar:1.7.23:compile
       \- org.apache.maven:maven-project:jar:2.2.1:compile
          \- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
             \- org.apache.maven.wagon:wagon-provider-api:jar:1.0-beta-6:compile
                \- (org.codehaus.plexus:plexus-utils:jar:1.4.2:compile - omitted for conflict with 1.5.15)

1.5.15
  1. org.openflexo:packaging-tools:jar:0.5-SNAPSHOT
    \- com.akathist.maven.plugins.launch4j:launch4j-maven-plugin:jar:1.7.23:compile
       +- org.apache.maven:maven-artifact:jar:2.2.1:compile
       |  \- org.codehaus.plexus:plexus-utils:jar:1.5.15:compile
       \- org.apache.maven:maven-project:jar:2.2.1:compile
          +- org.apache.maven:maven-settings:jar:2.2.1:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for duplicate)
          +- org.apache.maven:maven-profile:jar:2.2.1:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for duplicate)
          +- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
          |  +- org.apache.maven:maven-repository-metadata:jar:2.2.1:compile
          |  |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for duplicate)
          |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for duplicate)
          +- org.apache.maven:maven-plugin-registry:jar:2.2.1:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for duplicate)
          \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for duplicate)

2.1
  1. org.openflexo:packaging-tools:jar:0.5-SNAPSHOT
    \- com.akathist.maven.plugins.launch4j:launch4j-maven-plugin:jar:1.7.23:compile
       \- org.apache.maven:maven-plugin-api:jar:3.2.5:compile
          \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.0.M1:compile
             \- (org.codehaus.plexus:plexus-utils:jar:2.1:compile - omitted for conflict with 3.0.20)

3.0.20
  1. org.openflexo:packaging-tools:jar:0.5-SNAPSHOT
    \- com.akathist.maven.plugins.launch4j:launch4j-maven-plugin:jar:1.7.23:compile
       \- org.apache.maven:maven-plugin-api:jar:3.2.5:compile
          \- org.apache.maven:maven-model:jar:3.2.5:compile
             \- (org.codehaus.plexus:plexus-utils:jar:3.0.20:compile - omitted for conflict with 1.5.15)